Bug 501387 - Need to add kernel options & post kernel options to distro page
Need to add kernel options & post kernel options to distro page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-05-18 17:02 EDT by Justin Sherrill
Modified: 2009-09-10 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-05-18 17:02:25 EDT
The kernel options and post kernel options can be set at the distro level within cobbler.  We should expose this within our UI.
Comment 1 Brandon Perkins 2009-05-19 11:44:27 EDT
Justin, please provide more explicit steps (perhaps with example data).  Cliff and I couldn't follow exactly what we're talking about here.  And we would need this information for a test plan anyway.
Comment 2 Justin Sherrill 2009-05-26 17:43:58 EDT
009cd38 

Basically there's no way to set "kernel options" at the distro create/edit page.  Added in the commit above.  You should be able to see those kernel options by running "cobbler distro report --name=NAME"  from the command line. 

Any "kernel options" are used at provisioning time, and "post kernel options" are kernel options set in grub after the kickstart has occured (for reboot).
Comment 3 Steve Salevan 2009-06-01 16:44:11 EDT
VERIFIED in 5/29 build.
Comment 4 Steve Salevan 2009-07-29 13:38:57 EDT
RELEASE_PENDING from 7/24 build.
Comment 5 Brandon Perkins 2009-09-10 15:25:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.